ResourceBundle Class Referenceabstract

Resource bundles contain locale-specific objects. More...

Inheritance diagram for ResourceBundle:

## Public Member Functions

virtual LogString | getString (const LogString &key) const =0
| Gets a string for the given key from this resource bundle or one of its parents. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static ResourceBundlePtr | getBundle (const LogString &baseName, const Locale &locale)
| Gets a resource bundle using the specified base name and locale. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Protected Member Functions

void | setParent (const ResourceBundlePtr &parent1)

## Protected Attributes

ResourceBundlePtr | parent
| The parent bundle of this bundle. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Resource bundles contain locale-specific objects.

## Member Function Documentation

static ResourceBundlePtr getBundle | ( | const LogString & | baseName,
|  | const Locale & | locale
| ) |  |

static

Gets a resource bundle using the specified base name and locale.

Parameters

  baseName | the base name of the resource bundle, a fully qualified class name or property filename
  locale | the locale for which a resource bundle is desired

virtual LogString getString | ( | const LogString & | key | ) | const

pure virtual

Gets a string for the given key from this resource bundle or one of its parents.

Calling this method is equivalent to calling

Parameters

  key | the key for the desired string

Returns
  the string for the given key

Exceptions

  MissingResourceException | - if no object for the given key can be found

Implemented in PropertyResourceBundle.

void setParent | ( | const ResourceBundlePtr & | parent1 | ) |

inline protected

## Member Data Documentation

ResourceBundlePtr parent

protected

The parent bundle of this bundle.

The parent bundle is searched by getString when this bundle does not contain a particular resource.

The documentation for this class was generated from the following file:

- resourcebundle.h